summaryrefslogtreecommitdiff
path: root/app/tools/oldscripts/makeall
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2016-12-28 16:52:56 +0100
committerJörg Frings-Fürst <debian@jff-webhosting.net>2016-12-28 16:52:56 +0100
commit7b358424ebad9349421acd533c2fa1cbf6cf3e3e (patch)
tree686678532eefed525c242fd214d0cfb2914726c5 /app/tools/oldscripts/makeall
Initial import of xtrkcad version 1:4.0.2-2
Diffstat (limited to 'app/tools/oldscripts/makeall')
-rw-r--r--app/tools/oldscripts/makeall23
1 files changed, 23 insertions, 0 deletions
diff --git a/app/tools/oldscripts/makeall b/app/tools/oldscripts/makeall
new file mode 100644
index 0000000..896cb41
--- /dev/null
+++ b/app/tools/oldscripts/makeall
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if [ $# -lt 1 ] ; then
+ echo mkrlse RLSE
+ exit 1
+fi
+RLSE=$1
+if [ \! -d ~/xtrkcad/$RLSE ] ; then
+ echo ~/xtrkcad/$RLSE does not exist
+ exit 1
+fi
+
+ cd ~/wlib/$RLSE/gtklib && \
+ make update && \
+ cd ~/xtrkcad/$RLSE/help && \
+ make pngs && \
+ make && \
+ cd ../lib/params && \
+ make && \
+ cd .. && \
+ make && \
+ cd ../bin && \
+ make update